@echo off
REM Fichier INSTALL.BAT pour copier quelques fichiers indispensable pour Gestion-CP



echo GESTION-CP installation
echo .
echo .

if not exist C:\Gestion-CP GOTO echec
if not exist C:\Gestion-CP\Backup GOTO echec
if not exist C:\Gestion-CP\Gestion-SCIzip.dll GOTO echec
if not exist C:\Gestion-CP\Gestion-CP-tables.mdb GOTO echec
if not exist C:\Gestion-CP\Gestion-CP*.mde GOTO echec
IF not exist %WinDir%\system32\Gestion-SCIzip.dll copy /Y C:\Gestion-CP\Gestion-SCIzip.dll %WinDir%\system32\Gestion-SCIzip.dll


if exist  "%USERPROFILE%\Bureau" cd "%USERPROFILE%\Bureau"
if exist  "%USERPROFILE%\Desktop" cd "%USERPROFILE%\Desktop"

if not exist "Gestion-CP 2.20.lnk" Copy /y C:\Gestion-CP\"Gestion-CP 2.20.lnk" .
IF not exist %WinDir%\system32\Gestion-SCIzip.dll GOTO echec2
echo .
echo .
echo SUCCES .....SUCCES.....SUCCES....
echo .
echo .
echo Si vous installez Gestion-CP pour la premiere fois:
echo .
echo 	Demarrez Microsoft Access 2003 sans base de donnees
echo 	Modifiez la securite des macros dans le menu deroulant:
echo		Outils
echo		Macros
echo		Securite........ et mettez le niveau sur FAIBLE
echo	Confirmez et fermez Microsoft Access
echo .
echo .
echo Sous Vista le fichier Install(.bat) doit etre execute en tant qu administrateur pour chaque utilisateur et 
echo sur chaque ordinateur susceptible d'utiliser Gestion-CP
:fini
echo .
Pause
exit
:echec
echo ECHEC de l'installation de Gestion-CP
echo CAUSE PROBABLE:
echo .
echo Gestion-CP.zip n'est pas correctement dezippe.
echo Veuillez extraire Gestion-CP AVEC les repertoires (use folder names)
echo et dans C:\
echo .
echo Apres extraction de Gestion-CP.zip le repertoire principal C:\Gestion-CP
echo Le Sous-répertoire C:\Gestion-CP\Backup
echo ainsi que les fichiers
echo 	Gestion-CP-tables.mdb
echo 	Gestion-CP x.yy.mde
echo 	Gestion-SCIzip.dll
echo et quelques sous repertoires doivent exister.
echo .
pause
exit
:echec2
echo ECHEC de l'installation de Gestion-CP
echo .
echo CAUSE :
echo .
echo Sous VISTA Gestion-CP n'a pas pu copier des fichiers vers Windows\System32.
echo Il faut executer install.bat avec clique croit en tant qu administrateur
echo .
echo Sinon, Veuillez copier manuellement le fichier:
echo .
echoGestion-SCIzip.dll
echo .
echo vers votre repertoire C:\windows\System32
echo .
pause

